package com.chinacreator.process.bean;

import java.util.Date;

public class SpBean
{
    public static int CONTENT_TYPE = 0;

    public static int MONTH_TYPE = 1;

    public static int MIXED_TYPE = 2;
    private String spid;
    private String cpid;
    private String spname;
    private String shortname;
    private String sptype;
    private String spexplain;
    private Double price;
    private Date regtime;
    private Date startdate;
    private Date enddate;
    private Integer flow;
    private String webbusirule;
    private String appbusirule;
    private String vacproductid;
    private String cardbusirule;
    private String channelbusirule;
    private String spcode;
    private String type;
    private int cancancelorder;
    private int canorder;
    private int feetype;
    private int busitype;
    private String orderbtntext;
    private String duration;
    private Date expiredate;
    private String mutex;

    public String getSpid()
    {
        return this.spid;
    }

    public void setSpid(String spid) {
        this.spid = spid;
    }

    public String getCpid() {
        return this.cpid;
    }

    public void setCpid(String cpid) {
        this.cpid = cpid;
    }

    public String getSpname() {
        return this.spname;
    }

    public void setSpname(String spname) {
        this.spname = spname;
    }

    public String getShortname() {
        return this.shortname;
    }

    public void setShortname(String shortname) {
        this.shortname = shortname;
    }

    public String getSptype() {
        return this.sptype;
    }

    public void setSptype(String sptype) {
        this.sptype = sptype;
    }

    public String getSpexplain() {
        return this.spexplain;
    }

    public void setSpexplain(String spexplain) {
        this.spexplain = spexplain;
    }

    public Double getPrice() {
        return this.price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Date getRegtime() {
        return this.regtime;
    }

    public void setRegtime(Date regtime) {
        this.regtime = regtime;
    }

    public Date getStartdate() {
        return this.startdate;
    }

    public void setStartdate(Date startdate) {
        this.startdate = startdate;
    }

    public Date getEnddate() {
        return this.enddate;
    }

    public void setEnddate(Date enddate) {
        this.enddate = enddate;
    }

    public Integer getFlow() {
        return this.flow;
    }

    public void setFlow(Integer flow) {
        this.flow = flow;
    }

    public String getWebbusirule() {
        return this.webbusirule;
    }

    public void setWebbusirule(String webbusirule) {
        this.webbusirule = webbusirule;
    }

    public String getAppbusirule() {
        return this.appbusirule;
    }

    public void setAppbusirule(String appbusirule) {
        this.appbusirule = appbusirule;
    }

    public String getVacproductid() {
        return this.vacproductid;
    }

    public void setVacproductid(String vacproductid) {
        this.vacproductid = vacproductid;
    }

    public String getChannelbusirule() {
        return this.channelbusirule;
    }

    public void setChannelbusirule(String channelbusirule) {
        this.channelbusirule = channelbusirule;
    }

    public String getSpcode() {
        return this.spcode;
    }

    public void setSpcode(String spcode) {
        this.spcode = spcode;
    }

    public String getCardbusirule() {
        return this.cardbusirule;
    }

    public void setCardbusirule(String cardbusirule) {
        this.cardbusirule = cardbusirule;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getCancancelorder() {
        return this.cancancelorder;
    }

    public void setCancancelorder(int cancancelorder) {
        this.cancancelorder = cancancelorder;
    }

    public int getCanorder() {
        return this.canorder;
    }

    public void setCanorder(int canorder) {
        this.canorder = canorder;
    }

    public int getFeetype() {
        return this.feetype;
    }

    public void setFeetype(int feetype) {
        this.feetype = feetype;
    }

    public int getBusitype() {
        return this.busitype;
    }

    public void setBusitype(int busitype) {
        this.busitype = busitype;
    }

    public String getOrderbtntext() {
        return this.orderbtntext;
    }

    public void setOrderbtntext(String orderbtntext) {
        this.orderbtntext = orderbtntext;
    }

    public String getDuration() {
        return this.duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getMutex() {
        return this.mutex;
    }

    public void setMutex(String mutex) {
        this.mutex = mutex;
    }

    public Date getExpiredate() {
        return this.expiredate;
    }

    public void setExpiredate(Date expiredate) {
        this.expiredate = expiredate;
    }
}